QXtWidget(3qt)

NAME
QXtWidget - Allows mixing of Xt/Motif and Qt widgets

SYNOPSIS
#include <qxt.h>

Inherits QWidget.

  Public Members
QXtWidget ( const char * name, Widget parent, bool managed = FALSE )
QXtWidget ( const char * name, WidgetClass widget_class, QWidget * parent = 0, ArgList args = 0, Cardinal num_args = 0, bool managed = FALSE )
~QXtWidget ()
Widget xtWidget () const
bool isActiveWindow () const
virtual void setActiveWindow ()

  Protected Members
virtual bool x11Event ( XEvent * e )

DESCRIPTION
This class is defined in the Qt Xt/Motif Extension, which can be found in the qt/extensions directory. It is not included in the main Qt API.

The QXtWidget class allows mixing of Xt/Motif and Qt widgets.

QXtWidget acts as a bridge between Xt and Qt. For utilizing old Xt widgets, it can be a QWidget based on a Xt widget class. For including Qt widgets in an existing Xt/Motif application, it can be a special Xt widget class that is a QWidget. See the constructors for the different behaviors.

MEMBER FUNCTION DOCUMENTATION

QXtWidget::QXtWidget ( const char * name, Widget parent, bool managed = FALSE )
Constructs a QXtWidget of the special Xt widget class known as" QWidget" to the resource manager.

Use this constructor to utilize Qt widgets in an Xt/Motif application. The QXtWidget is a QWidget, so you can create subwidgets, layouts, etc. using Qt functionality.

The name is the object name passed to the QWidget constructor. The widget's parent is parent.

If the managed parameter is TRUE and parent in not null, XtManageChild it used to manage the child.

QXtWidget::QXtWidget ( const char * name, WidgetClass widget_class, QWidget * parent = 0, ArgList args = 0, Cardinal num_args = 0, bool managed = FALSE )
Constructs a QXtWidget of the given widget_class called name.

Use this constructor to utilize Xt or Motif widgets in a Qt application. The QXtWidget looks and behaves like the Xt class, but can be used like any QWidget.

Note that Xt requires that the most top level Xt widget is a shell. This means, if parent is a QXtWidget, the widget_class can be of any kind. If there isn't a parent or the parent is just a normal QWidget, widget_class should be something like topLevelShellWidgetClass.

The arguments, args, num_args are passed on to XtCreateWidget.

If the managed parameter is TRUE and parent in not null, XtManageChild it used to manage the child.

QXtWidget::~QXtWidget ()
Destructs the QXtWidget.

bool QXtWidget::isActiveWindow () const
Different from QWidget::isActiveWindow()

void QXtWidget::setActiveWindow () [virtual]
Implement a degree of focus handling for Xt widgets.

Reimplemented from QWidget.

bool QXtWidget::x11Event ( XEvent * e ) [virtual protected]
Reimplemented to produce the Xt effect of getting focus when the mouse enters the widget. The event is passed in e.

This function is under development and is subject to change.

Widget QXtWidget::xtWidget () const
Returns the Xt widget equivalent for the Qt widget.

Examples:

SEE ALSO
http://doc.trolltech.com/qxtwidget.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qxtwidget.3qt) and the Qt version (3.0.3).